using System;
using System.Collections;
using System.ComponentModel;
using System.Web;
using System.Web.SessionState;
using RepPP.Framework.Web;

//********************************************************************************
//
/// <summary>
/// Summary description for Global.
/// </summary>
//
//********************************************************************************	
public partial class Global : RepPP.Framework.Web.HttpApplicationFW {
    /// <summary>Required designer variable</summary>
    private System.ComponentModel.IContainer components = null;
    //********************************************************************************
    //
    /// <summary>
    /// ctor:                   Class constructor
    /// </summary>
    //
    //********************************************************************************
    public Global()
    {
        InitializeComponent();
    }
    //********************************************************************************
    //
    /// <summary>
    /// Application_Start:              Handle the application start event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************		
    protected void Application_Start(Object sender, EventArgs e)
    {
    }
    //********************************************************************************
    //
    /// <summary>
    /// Session_Start:                  Handle the session start event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************
    protected void Session_Start(Object sender, EventArgs e)
    {
    }
    //********************************************************************************
    //
    /// <summary>
    /// Application_BeginRequest:       Handle the application begin request event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************
    protected void Application_BeginRequest(Object sender, EventArgs e)
    {
    }
    //********************************************************************************
    //
    /// <summary>
    /// Application_EndRequest:         Handle the application end request event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************
    protected void Application_EndRequest(Object sender, EventArgs e)
    {
    }
    //********************************************************************************
    //
    /// <summary>
    /// Application_AuthenticateRequest:    Handle the application authenticate request event
    /// </summary>
    /// <param name="sender">               Sender object</param>
    /// <param name="e">                    Event parameter</param>
    //
    //********************************************************************************
    protected void Application_AuthenticateRequest(Object sender, EventArgs e)
    {
    }
    //********************************************************************************
    //
    /// <summary>
    /// Application_Error:              Handle the application error event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************
    protected void Application_Error(Object sender, EventArgs e)
    {
        if (!Request.UserHostAddress.Equals("127.0.0.1"))
        {
            try
            {
                Response.Redirect("Error.aspx");
            }
            catch
            {
            }
            Server.ClearError();
        }
    }
    //********************************************************************************
    //
    /// <summary>
    /// Session_End:                    Handle the session end event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************
    protected override void Session_End(Object sender, EventArgs e)
    {
        base.Session_End(sender, e);
    }
    //********************************************************************************
    //
    /// <summary>
    /// Application_End:                Handle the application end event
    /// </summary>
    /// <param name="sender">           Sender object</param>
    /// <param name="e">                Event parameter</param>
    //
    //********************************************************************************
    protected void Application_End(Object sender, EventArgs e)
    {
    }
    //********************************************************************************
    //
    /// <summary>
    ///  BeforeValidate:                Called before the validation
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool BeforeValidate(RepPP.Framework.Web.PageEditor page)
    {
        return (base.BeforeValidate(page));
    }
    //********************************************************************************
    //
    /// <summary>
    ///  AfterValidate:                 Called after the validation
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool AfterValidate(RepPP.Framework.Web.PageEditor page)
    {
        return (base.AfterValidate(page));
    }
    //********************************************************************************
    //
    /// <summary>
    ///  BeforeDuplicateItem:           Called before an item is duplicated
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    //
    //********************************************************************************
    public override bool BeforeDuplicateItem(RepPP.Framework.Web.PageEditor page)
    {
        return base.BeforeDuplicateItem(page);
    }
    //********************************************************************************
    //
    /// <summary>
    ///  AfterDuplicateItemRepPP:            Called after aa item is duplicated
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    //
    //********************************************************************************
    public override void AfterDuplicateItem(RepPP.Framework.Web.PageEditor page)
    {
        base.AfterDuplicateItem(page);
    }
    //********************************************************************************
    //
    /// <summary>
    ///  AfterNewItem:                  Called after a new item is created
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override void AfterNewItem(PageEditor page)
    {
        base.AfterNewItem(page);
    }
    //********************************************************************************
    //
    /// <summary>
    ///  BeforeNewItem:                 Called before a new item is created
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool BeforeNewItem(PageEditor page)
    {
        return base.BeforeNewItem(page);
    }
    //********************************************************************************
    //
    /// <summary>
    ///  BeforeDeleteItem:              Called before an item is deleted
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool BeforeDeleteItem(PageEditor page)
    {
        return base.BeforeDeleteItem(page);
    }
    //********************************************************************************
    //
    /// <summary>
    ///  AfterDeleteItem:               Called after an item is deleted
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override void AfterDeleteItem(PageEditor page)
    {
        base.AfterDeleteItem(page);
    }
    //********************************************************************************
    //
    /// <summary>
    /// BeforeLoadFromDB:              Called before the card is read from the database
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool BeforeLoadFromDB(RepPP.Framework.Web.PageEditor page)
    {
        return (base.BeforeLoadFromDB(page));
    }
    //********************************************************************************
    //
    /// <summary>
    /// AfterLoadFromDB:                Called after the card is read from the database
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool AfterLoadFromDB(RepPP.Framework.Web.PageEditor page)
    {
        return (base.AfterLoadFromDB(page));
    }
    //********************************************************************************
    //
    /// <summary>
    ///  BeforeSaveToDB:                Called before the card is save to DB
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool BeforeSaveToDB(RepPP.Framework.Web.PageEditor page)
    {
        return (base.BeforeSaveToDB(page));
    }
    //********************************************************************************
    //
    /// <summary>
    /// AfterSaveToDB:                  Called after the card is save to DB
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    /// <returns>
    /// returns true if succeed, false to cancel the validation
    /// </returns>
    //
    //********************************************************************************
    public override bool AfterSaveToDB(RepPP.Framework.Web.PageEditor page)
    {
        return (base.AfterSaveToDB(page));
    }
    //********************************************************************************
    //
    /// <summary>
    /// BeforeInitializeRepPP:          Called before the Rep++ Application is created
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    //
    //********************************************************************************
    public override void BeforeInitializeRepPP(System.Web.UI.Page page)
    {
        base.BeforeInitializeRepPP(page);
    }
    //********************************************************************************
    //
    /// <summary>
    /// AfterInitializeRepPP:           Called after the Rep++ Application is created
    ///                                 and initialized
    /// </summary>
    /// <param name="page">             Page handling the request</param>
    //
    //********************************************************************************
    public override void AfterInitializeRepPP(System.Web.UI.Page page)
    {
        base.AfterInitializeRepPP(page);
    }
    //********************************************************************************
    //
    /// <summary>
    /// ProgInit:                       Called after the Rep++ Application is created
    ///                                 but before it is initialized
    /// </summary>
    /// <param name="app">              The Rep++ Application that is about to be initialized</param>
    //
    //********************************************************************************
    public override void ProgInit(RepPP.Application app)
    {
        $$REPPP:BEGIN_SET_DATA_CONNECTION$$
        app.DataConnection = app.Connections.Open("$$REPPP:DATA_CONNECTION$$");
        $$REPPP:END_SET_DATA_CONNECTION$$
        base.ProgInit(app);
    }
    #region Web Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
        this.components = new System.ComponentModel.Container();
    }
    #endregion
} // Class Global
