using System;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.Design;

namespace RepPP.Toolkit.Web {
	namespace Design {
        //********************************************************************************
        //
        /// <summary>
        /// DynamicFormTableDesign is the IDE designer for the DynamicFormTable web control
        /// </summary>
        //
        //********************************************************************************
        public class DynamicFormTableDesign : ControlDesigner {
            //********************************************************************************
            //
            /// <summary>
            /// DynamicFormTableDesign:         Class Constructor
            /// </summary>
            //
            //********************************************************************************
            public DynamicFormTableDesign() : base()	{
			}

            //********************************************************************************
            //
            /// <summary>
            /// GetDesignTimeHtml:         Returns the HTML to display in the VS IDE
            /// </summary>
            //
            //********************************************************************************
			public override string GetDesignTimeHtml() {
                DynamicFormTable    dynamicFormTableInstance;
                StringWriter        swPseudoWriter;
                HtmlTextWriter      htmlWriter;
                string              strRetVal;

                dynamicFormTableInstance = (DynamicFormTable)Component;
				swPseudoWriter           = new StringWriter();
				htmlWriter               = new HtmlTextWriter(swPseudoWriter);
                dynamicFormTableInstance.Controls.Clear();
				dynamicFormTableInstance.RenderControl(htmlWriter);
				htmlWriter.Close();
				swPseudoWriter.Close();
                strRetVal = swPseudoWriter.ToString(); 
				return(strRetVal);
			}
		}//class DynamicFormTableDesign
	}//namespace Design
}//namespace RepPP.Toolkit.Web
