function ToolBar_Set_Focus(toolbarId, item, bIsOn) {
	var tbl;
	
	if (item.attributes['State'].value != 'Disabled') {
		tbl = document.getElementById('table_' + toolbarId);
		item.className = (bIsOn == true)? tbl.attributes['HoverClass'].value : tbl.attributes['EnabledClass'].value;
		item.style.cssText = (bIsOn == true)? tbl.attributes['HoverStyle'].value : tbl.attributes['EnabledStyle'].value;
	}
}
		
function ToolBar_Set_Visibility(toolbarId, itemId, bMode) {
	var ctl = document.getElementById(toolbarId + '_Item' + itemId);
	
	if (ctl != null) {
		ctl.style.display = (bMode == true)? 'block' : 'none';
	}
}

function ToolBar_Set_State(toolbarId, itemId, bMode) {
	var tbl;
	var ctl = document.getElementById(toolbarId + '_Item' + itemId);
	
	if (ctl != null && ctl.style.display != 'none') {
		tbl = document.getElementById('table_' + toolbarId);
		ctl.attributes['State'].value = (bMode == true)? 'Enabled' : 'Disabled';
		ctl.className = (bMode==true) ? tbl.attributes['EnabledClass'].value : tbl.attributes['DisabledClass'].value;
		ctl.style.cssText = (bMode==true) ? tbl.attributes['EnabledStyle'].value : tbl.attributes['DisabledStyle'].value;
	}
}
